<?php
class DetailV3Action extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $this->block      = $this->getRequestParameter( 'block' );
        $this->i_Id       = $this->getRequestParameter( 'i_Id' );
        $this->s_TipoProc = $this->getRequestParameter( 's_TipoProc' );
        $this->s_IdRango  = $this->getRequestParameter( 'IdRango' );
        
        $this->s_Titulo = "Detalles de Rango de Cantidades";
        
        $this->IdCompania = myUser::getUser()->getIdCompania();
        $this->IdSucursal = myUser::getUser()->getIdSucursal();

        $o_MST_RangoFN = new MST_RangoFN();
        $this->o_MST_RangoBN = $o_MST_RangoFN->selectByPK( $this->i_Id );
        
        $this->Detalles = new MST_RangoDetalleFN();
        $this->Detalles->setIdRango( $this->i_Id );
        $this->Detalles->setEstado( "A" );
        $this->Detalles->addOrderBy( MST_RangoDetalleFN::IdRangoDetalle );
        $this->a_Detalles = $this->Detalles->select();
        
        //pr($this->a_Detalles);
        
    }
}